Package net.shibboleth.spring.metadata.filter

# Class PredicateFilterDirectionFactoryBean

java.lang.Object
org.springframework.beans.factory.config.AbstractFactoryBean<PredicateFilter.Direction>
net.shibboleth.spring.metadata.filter.PredicateFilterDirectionFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<PredicateFilter.Direction>`, `InitializingBean`

public class PredicateFilterDirectionFactoryBean extends AbstractFactoryBean<PredicateFilter.Direction>
Factory bean allow property replacements of the direction going in to a `PredicateFilter`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`value`
What we want to set the value from this should be "exclude" or "include".

### Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`logger`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`PredicateFilterDirectionFactoryBean(String what)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected PredicateFilter.Direction`
`createInstance()`
`Class<?>`
`getObjectType()`

### Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

@Nullable private final String value
What we want to set the value from this should be "exclude" or "include".

## Constructor Details

### PredicateFilterDirectionFactoryBean

public PredicateFilterDirectionFactoryBean(@Nullable String what)
Constructor.

Parameters:
  `what` - the value to set

## Method Details

### getObjectType

@Nonnull public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<PredicateFilter.Direction>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<PredicateFilter.Direction>`

### createInstance

@Nonnull protected PredicateFilter.Direction createInstance() throws Exception

Specified by:
  `createInstance` in class `AbstractFactoryBean<PredicateFilter.Direction>`
Throws:
  `Exception`